### Method

# ICalGLib Trigger set_duration

since: 1.0

#### Declaration [src]

    void
    i_cal_trigger_set_duration (
      ICalTrigger* trigger,
      ICalDuration* duration
    )

#### Description [src]

Sets the duration from `ICalTrigger`.

Available since: 1.0

#### Parameters

`duration`

  Type: `ICalDuration`

  The duration of `ICalTrigger`.

  The data is owned by the caller of the method.